summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorJérémy Zurcher <jeremy@asynk.ch>2011-11-15 14:19:59 +0100
committerJérémy Zurcher <jeremy@asynk.ch>2011-11-15 14:19:59 +0100
commite127602dc5cf2e1114d8e73bc9f7016926551012 (patch)
tree80f1dff3fbb5deef11e925616dbb55f629aa7770
parentcd5b734cf8a2d7b390fe959be21b54e3c1e329a8 (diff)
downloadbin-e127602dc5cf2e1114d8e73bc9f7016926551012.zip
bin-e127602dc5cf2e1114d8e73bc9f7016926551012.tar.gz
easy_e17.sh: fix fin_local_path usage
-rwxr-xr-xeasy_e17.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/easy_e17.sh b/easy_e17.sh
index a673b59..7cf1d7c 100755
--- a/easy_e17.sh
+++ b/easy_e17.sh
@@ -850,7 +850,7 @@ function parse_git_updates ()
for pkg in $effective_packages; do
[ "$pkg" == "ewebkit" ] && continue
path=$(find_local_path $pkg)
- if [ `cat "$tmp_path/source_update.log" | egrep -q "^${path#$src_path}"; echo $?` == 0 ]; then
+ if [ `cat "$tmp_path/source_update.log" | egrep -q "^${path#$src_path/}"; echo $?` == 0 ]; then
updated_packages="$updated_packages $pkg"
echo " - $pkg"
fi
@@ -1003,7 +1003,7 @@ function find_local_path ()
{
name=$1
re_src_path=$(echo $src_path | sed 's/\//\\\//g')
- path=$(find $src_path -maxdepth 5 -type d -name $name | sed -e "s/$re_src_path//" | grep -v -E "^${src_path}$" | grep -v -E "$ignore_dirs_re" | \
+ path=$(find $src_path -maxdepth 5 -type d -name $name | sed -e "s/$re_src_path\///" | grep -v -E "^${src_path}$" | grep -v -E "$ignore_dirs_re" | \
while read line; do echo `echo $line | wc -c` $line; done | sort -n | head -n 1 | cut -d " " -f 2)
if [ "$path" ]; then echo "$src_path/$path"; fi
}